Support » Plugin: wpCAS » Login errors and deprecated functions

  • This plugin needs an update. Specifically the wpcas.php file. Line 91 should be changed to public static function authenticate() { instead of function authenticate() {, and line 99 should be changed to if ( $user = get_user_by( 'login', phpCAS::getUser() )){ // user since get_userdatabylogin() is deprecated.

    There are also a couple of warnings / notices when logging out, but those two should definitely be fixed because the error messages actually prevent login.

    https://wordpress.org/plugins/wpcas/

  • The topic ‘Login errors and deprecated functions’ is closed to new replies.